> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analyticsperformanceprovider comparison



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /analytics/performance/provider-comparison
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /analytics/performance/provider-comparison:
    get:
      tags:
        - PerformanceAnalytics
      operationId: analytics.performance.provider-comparison
      parameters:
        - name: team_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: service_type
          in: query
          required: true
          schema:
            type: string
            enum:
              - stt
              - llm
              - tts
        - name: start_date
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: end_date
          in: query
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  service_type:
                    type: string
                  providers:
                    type: string
                required:
                  - service_type
                  - providers
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````